Bug 170244 - Unexpanded embedded jars not natively-compiled
Unexpanded embedded jars not natively-compiled
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: java-1.4.2-gcj-compat (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gary Benson
:
Depends On: 162443
Blocks: 159880 165966 166306
  Show dependency treegraph
 
Reported: 2005-10-09 20:52 EDT by Andrew Overholt
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-10 09:07:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2005-10-09 20:52:40 EDT
Description of problem:
With python-2.4.1-2 (it could have been -1), aot-compile-rpm compiled embedded
jars, but with python-2.4.1-14 it does not.

jdtCompilerAdapter.jar is embedded in org.eclipse.jdt.core_3.1.0.jar (its
classes are not expanded, however), but is also extracted during Eclipse build
for creating /usr/bin/ecj.  This is jar that made me notice this.

Version-Release number of selected component (if applicable):
java-1.4.2-gcj-compat-devel-1.4.2.0-40jpp_51rh

How reproducible:
Always.

Steps to Reproduce:
1. Attempt to build Eclipse in rawhide
  
Actual results:
aot-compile-rpm: warning: subsetted
/var/tmp/eclipse-3.1.0_fc-15-buildroot/install/usr/share/eclipse/plugins/jdtCompilerAdapter.jar

Expected results:
jdtCompilerAdapter.jar is compiled.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.